
Name:    artikulate
Summary: Improve your pronunciation by listening to native speakers
Version: 23.08.4
Release:    1%{?dist}

License: (GPLv2 or GPLv3) and LGPLv3 and GFDL
URL:     https://invent.kde.org/edu/%{name}

%global revision %(echo %{version} | cut -d. -f3)
%if %{revision} >= 50
%global stable unstable
%else
%global stable stable
%endif
Source0: http://download.kde.org/%{stable}/release-service/%{version}/src/%{name}-%{version}.tar.xz

BuildRequires: cmake(KF5Archive)
BuildRequires: cmake(KF5Kirigami2)
BuildRequires: desktop-file-utils
BuildRequires: extra-cmake-modules
BuildRequires: kf5-kconfig-devel
BuildRequires: kf5-kconfigwidgets-devel
BuildRequires: kf5-kcrash-devel
BuildRequires: kf5-kdeclarative-devel
BuildRequires: kf5-kdoctools-devel
BuildRequires: kf5-ki18n-devel
BuildRequires: kf5-knewstuff-devel
BuildRequires: kf5-kwidgetsaddons-devel
BuildRequires: kf5-kxmlgui-devel
BuildRequires: kf5-rpm-macros

BuildRequires: libappstream-glib

BuildRequires: pkgconfig(Qt5Multimedia)
BuildRequires: pkgconfig(Qt5Qml)
BuildRequires: pkgconfig(Qt5Quick)
BuildRequires: pkgconfig(Qt5XmlPatterns)

Requires: %{name}-libs = %{version}-%{release}
Requires: qt5-qtquickcontrols

%description
%{summary}.

%package  libs
Summary:  Runtime files for %{name}
Requires: %{name} = %{version}-%{release}
%description libs
%{summary}.


%prep
%autosetup -p1


%build
%cmake_kf5

%cmake_build


%install
%cmake_install

%find_lang %{name} --all-name --with-html --with-qt


%check
appstream-util validate-relax --nonet %{buildroot}%{_kf5_metainfodir}/org.kde.%{name}.appdata.xml ||:
desktop-file-validate %{buildroot}%{_kf5_datadir}/applications/org.kde.%{name}.desktop ||:


%files -f %{name}.lang
%doc README*
%license LICENSES/*
%{_kf5_bindir}/artikulate
%{_kf5_bindir}/artikulate_editor
%{_kf5_datadir}/icons/hicolor/*/*/*
%{_kf5_datadir}/applications/org.kde.artikulate.desktop
%{_kf5_metainfodir}/org.kde.artikulate.appdata.xml
%{_kf5_datadir}/config.kcfg/artikulate.kcfg
%{_kf5_datadir}/knsrcfiles//artikulate.knsrc


%files libs
%{_kf5_libdir}/libartikulatecore.so.0*
%{_kf5_libdir}/libartikulatelearnerprofile.so.0*
%{_kf5_libdir}/libartikulatesound.so.0*


%changelog
* Thu Apr 11 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 23.08.4-1
- initial build
